Skip to main content
POST
/
filesystem-multipart
/
{uploadId}
/
complete
Complete multipart upload
curl --request POST \
  --url https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem-multipart/{uploadId}/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "parts": [
    {
      "etag": "5d41402abc4b2a76b9719d911017c592",
      "partNumber": 1
    }
  ]
}
'
import requests

url = "https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem-multipart/{uploadId}/complete"

payload = { "parts": [
{
"etag": "5d41402abc4b2a76b9719d911017c592",
"partNumber": 1
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({parts: [{etag: '5d41402abc4b2a76b9719d911017c592', partNumber: 1}]})
};

fetch('https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem-multipart/{uploadId}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "File created successfully",
  "path": "/path/to/file"
}
{
"error": "Error message"
}
{
"error": "Error message"
}
{
"error": "Error message"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uploadId
string
required

Upload ID

Body

application/json

List of parts

parts
object[]

Response

Upload completed

message
string
required
Example:

"File created successfully"

path
string
Example:

"/path/to/file"

Last modified on June 17, 2026